Bug 731311 - [abrt] pdfshuffler-0.5-2.fc14: posixpath.py:82:split:AttributeError: 'NoneType' object has no attribute 'rfind'
Summary: [abrt] pdfshuffler-0.5-2.fc14: posixpath.py:82:split:AttributeError: 'NoneTyp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfshuffler
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:92dfadfd
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 10:22 UTC by cornel panceac
Modified: 2012-03-21 18:43 UTC (History)
1 user (show)

Fixed In Version: pdfshuffler-0.6.0-0.2.20120302svn64.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 02:33:02 UTC


Attachments (Terms of Use)
File: backtrace (421 bytes, text/plain)
2011-08-17 10:22 UTC, cornel panceac
no flags Details

Description cornel panceac 2011-08-17 10:22:00 UTC
abrt version: 1.1.18
architecture: i686
cmdline: /usr/bin/python /usr/bin/pdfshuffler
component: pdfshuffler
executable: /usr/bin/pdfshuffler
kernel: 2.6.35.13-92.fc14.i686.PAE
package: pdfshuffler-0.5-2.fc14
reason: posixpath.py:82:split:AttributeError: 'NoneType' object has no attribute 'rfind'
release: Fedora release 14 (Laughlin)
time: 1313576472
uid: 500

backtrace
-----
posixpath.py:82:split:AttributeError: 'NoneType' object has no attribute 'rfind'

Traceback (most recent call last):
  File "/usr/bin/pdfshuffler", line 406, in choose_export_pdf_name
    (path, shortname) = os.path.split(file_out)
  File "/usr/lib/python2.7/posixpath.py", line 82, in split
    i = p.rfind('/') + 1
AttributeError: 'NoneType' object has no attribute 'rfind'

Local variables in innermost frame:
p: None

How to reproduce
-----
1.
2.
3.
exporting a piece of pdf

Comment 1 cornel panceac 2011-08-17 10:22:03 UTC
Created attachment 518645 [details]
File: backtrace

Comment 2 Fedora Update System 2012-03-02 10:54:18 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc16

Comment 3 Fedora Update System 2012-03-02 10:55:26 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc15

Comment 4 Fedora Update System 2012-03-02 10:56:43 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc17

Comment 5 Fedora Update System 2012-03-05 20:54:54 UTC
Package pdfshuffler-0.6.0-0.2.20120302svn64.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pdfshuffler-0.6.0-0.2.20120302svn64.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2846/pdfshuffler-0.6.0-0.2.20120302svn64.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-03-21 02:33:02 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-03-21 02:38:36 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-21 18:43:23 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.